Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 453171

Summary: kernel: usbhid: probe of 3-1:1.0 failed with error -5
Product: Red Hat Enterprise Linux 4 Reporter: Ben Levenson <benl>
Component: kernelAssignee: Aristeu Rozanski <arozansk>
Status: CLOSED ERRATA QA Contact: Martin Jenner <mjenner>
Severity: low Docs Contact:
Priority: low    
Version: 4.8CC: lwang, vgoyal
Target Milestone: rc   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2009-05-18 19:35:33 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Attachments:
Description Flags
test patch none

Description Ben Levenson 2008-06-27 17:28:07 UTC
Description of problem:
The following appears in /var/log/messages when connecting and disconnecting a
wacom tablet:

Jun 27 12:17:14  kernel: usb 3-1: new low speed USB device using address 5
Jun 27 12:17:14  kernel: usbhid: probe of 3-1:1.0 failed with error -5
Jun 27 12:17:15  kernel: input: Wacom Graphire4 4x5 on usb-0000:00:1d.2-1

Everything is working as expected, but the error message is a little disturbing.

Version-Release number of selected component (if applicable):
kernel-2.6.9-75.EL

How reproducible:
100%

Additional info:
related to: https://bugzilla.redhat.com/show_bug.cgi?id=161241

Comment 1 Aristeu Rozanski 2008-09-03 20:43:47 UTC
The problem is at:
static struct hid_device *usb_hid_configure(struct usb_interface *intf)
{       
        struct usb_host_interface *interface = intf->cur_altsetting;
        struct usb_device *dev = interface_to_usbdev (intf);
        struct hid_descriptor *hdesc;
        struct hid_device *hid;
        unsigned quirks = 0, rsize = 0;
        char *buf, *rdesc;
        int n;
        
        /* Ignore all Wacom devices */
        if (dev->descriptor.idVendor == USB_VENDOR_ID_WACOM)
                return NULL;
static int hid_probe (struct usb_interface *intf, const struct usb_device_id *id)
{       
        struct hid_device *hid;
        char path[64];
        int i;
        char *c;
        
        dbg("HID probe called for ifnum %d",
                        intf->altsetting->desc.bInterfaceNumber);

        if (!(hid = usb_hid_configure(intf)))
                return -EIO;

hid_probe() shouldn't return -EIO in this case, -ENODEV would be more
appropriate and it'd prevent for the message to be printed.

It's fixed on 479f6ea85e513551510ad52f37e69e1c596ad356

RHEL-4 patch will follow

Comment 2 Aristeu Rozanski 2008-09-03 20:44:27 UTC
Created attachment 315687 [details]
test patch

Comment 3 RHEL Product and Program Management 2009-03-03 14:30:46 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 7 Vivek Goyal 2009-03-11 14:09:45 UTC
Committed in 83.EL . RPMS are available at http://people.redhat.com/vgoyal/rhel4/

Comment 10 errata-xmlrpc 2009-05-18 19:35:33 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2009-1024.html